Bug 840319 - [abrt] calibre-0.8.50-1.fc17: ImageFont.py:134:__init__:IOError: cannot open resource
[abrt] calibre-0.8.50-1.fc17: ImageFont.py:134:__init__:IOError: cannot open ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: calibre (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
abrt_hash:532a2857f9b091faeb7eb43c289...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-15 16:19 EDT by Carles Guadall Blancafort
Modified: 2012-08-22 17:14 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-22 17:14:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Carles Guadall Blancafort 2012-07-15 16:19:20 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
cmdline:        python2 /usr/bin/calibre-parallel
comment:        Using Google Reader uber (RSS)
event_log:      2012-07-15-22:17:49> Smolt profile successfully saved
executable:     /usr/bin/calibre-parallel
kernel:         3.4.4-5.fc17.x86_64
time:           dg 15 jul 2012 22:14:31 CEST
uid:            1000
username:       carles

backtrace:
:ImageFont.py:134:__init__:IOError: cannot open resource
:
:Traceback (most recent call last):
:  File "/usr/bin/calibre-parallel", line 19, in <module>
:    sys.exit(main())
:  File "/usr/lib64/calibre/calibre/utils/ipc/worker.py", line 190, in main
:    result = func(*args, **kwargs)
:  File "/usr/lib64/calibre/calibre/gui2/convert/gui_conversion.py", line 25, in gui_convert
:    plumber.run()
:  File "/usr/lib64/calibre/calibre/ebooks/conversion/plumber.py", line 1109, in run
:    self.opts, self.log)
:  File "/usr/lib64/calibre/calibre/ebooks/conversion/plugins/mobi_output.py", line 178, in convert
:    add_fonts=create_kf8)
:  File "/usr/lib64/calibre/calibre/ebooks/mobi/writer2/resources.py", line 35, in __init__
:    self.add_resources(add_fonts)
:  File "/usr/lib64/calibre/calibre/ebooks/mobi/writer2/resources.py", line 57, in add_resources
:    data = generate_masthead(unicode(self.oeb.metadata['title'][0]))
:  File "/usr/lib64/calibre/calibre/ebooks/__init__.py", line 262, in generate_masthead
:    font = ImageFont.truetype(default_font, 48, encoding='unic')
:  File "/usr/lib64/python2.7/site-packages/PIL/ImageFont.py", line 218, in truetype
:    return FreeTypeFont(filename, size, index, encoding)
:  File "/usr/lib64/python2.7/site-packages/PIL/ImageFont.py", line 134, in __init__
:    self.font = core.getfont(file, size, index, encoding)
:IOError: cannot open resource
:
:Local variables in innermost frame:
:index: 0
:self: <PIL.ImageFont.FreeTypeFont instance at 0x5b92ea8>
:size: 48
:file: '/usr/share/calibre/fonts/liberation/LiberationSerif-Bold.ttf'
:encoding: 'unic'

smolt_data:
:
:
:General
:=================================
:UUID: 08f5a87e-c1b5-4e10-92bb-a9c70e8e0bf1
:SO: Fedora release 17 (Beefy Miracle)
:Nivell d'execució predeterminat: Unknown
:Idioma: ca_AD.utf8
:Plataforma: x86_64
:BogoMIPS: 4788.12
:Fabricant del processador: GenuineIntel
:Model del processador: Intel(R) Core(TM) i5 CPU       M 520  @ 2.40GHz
:Revisió del processador: 5
:Família del processador: 6
:Número de model del processador: 37
:Número de processadors: 4
:Velocitat del processador: 2395
:Memòria del sistema: 3817
:Memòria d'intercanvi del sistema: 5871
:Fabricant: Apple Inc.
:Sistema: MacBookPro6,2 1.0
:Mida de la placa base: Notebook
:Nucli: 3.4.4-5.fc17.x86_64
:SELinux habilitat: 1
:Política del SELinux: targeted
:Validació del SELinux: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Dispositius
:=================================
:(32902:11362:32902:32902) pci, None, HOST/PCI, Core Processor QuickPath Architecture Generic Non-core Registers
:(32902:11521:32902:32902) pci, None, HOST/PCI, Core Processor QuickPath Architecture System Address Decoder
:(32902:68:0:0) pci, agpgart-intel, HOST/PCI, Core Processor DRAM Controller
:(32902:69:32902:0) pci, pcieport, PCI/PCI, Core Processor PCI Express x16 Root Port
:(32902:11536:32902:32902) pci, None, HOST/PCI, Core Processor QPI Link 0
:(32902:11537:32902:32902) pci, None, HOST/PCI, Core Processor QPI Physical 0
:(4545:22785:4545:22784) pci, firewire_ohci, FIREWIRE, FW643 PCI Express1394b Controller (PHY/Link)
:(32902:11539:32902:32902) pci, None, HOST/PCI, Core Processor Reserved
:(32902:15152:32902:29296) pci, None, SERIAL, 5 Series/3400 Series Chipset SMBus Controller
:(32902:15145:32902:29296) pci, ahci, STORAGE, 5 Series/3400 Series Chipset 4 port SATA AHCI Controller
:(32902:15113:32902:29296) pci, None, PCI/ISA, Mobile 5 Series Chipset LPC Interface Controller
:(32902:15154:32902:0) pci, None, NONE, 5 Series/3400 Series Chipset Thermal Subsystem
:(32902:15174:32902:29296) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 3
:(5348:5764:5348:5764) pci, tg3, ETHERNET, NetXtreme BCM5764M Gigabit Ethernet PCIe
:(32902:15163:32902:29296) pci, None, USB, 5 Series/3400 Series Chipset USB Universal Host Controller
:(32902:9288:32902:29296) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:15156:32902:29296) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:15164:32902:29296) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(5348:17235:4203:147) pci, bcma-pci-bridge, NETWORK, BCM43224 802.11a/b/g/n
:(32902:70:0:0) pci, i915, VIDEO, Core Processor Integrated Graphics Controller
:(32902:15176:32902:29296) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 4
:(32902:15170:32902:29296) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 1
:(32902:15172:32902:29296) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 2
:(32902:15190:32902:29296) pci, snd_hda_intel, MULTIMEDIA, 5 Series/3400 Series Chipset High Definition Audio
:(32902:15158:32902:29296) pci, None, USB, 5 Series/3400 Series Chipset USB Universal Host Controller
:(4318:3042:0:0) pci, snd_hda_intel, MULTIMEDIA, High Definition Audio Controller
:(4318:2601:4203:199) pci, nouveau, VIDEO, GT216 [GeForce GT 330M]
:(32902:11538:32902:32902) pci, None, HOST/PCI, Core Processor Reserved
:
:
:Informació del sistema de fitxers
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda3 / ext4 4096 4096 13091009 10830515 10699465 3276800 3084847 3084847
:/dev/sda5 /home ext4 4096 4096 26173325 24271039 22960319 6553600 6507761 6507761
:/dev/sda2 /boot ext4 1024 1024 508644 331027 305427 128016 127937 127937
:/dev/sda1 WITHHELD hfsplus 4096 4096 51200 49914 49914 4294967295 4294967237 4294967237
:
Comment 1 Kevin Fenzi 2012-07-15 22:05:10 EDT
ok. I see the issue. 

Can you try the 0.8.60 version from my side repo?

su
cd /etc/yum.repos.d/
wget http://repos.fedorapeople.org/repos/kevin/calibre/fedora-calibre.repo
yum clean all
yum update calibre
Comment 2 Carles Guadall Blancafort 2012-07-16 13:58:14 EDT
Fantastic, the update fixes the bug. No more crashes!

Thank you Kevin
Comment 3 Fedora Update System 2012-08-14 00:08:44 EDT
calibre-0.8.63-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/calibre-0.8.63-1.fc17
Comment 4 Fedora Update System 2012-08-14 05:22:22 EDT
Package calibre-0.8.63-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing calibre-0.8.63-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-11860/calibre-0.8.63-1.fc17
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-08-22 17:14:10 EDT
calibre-0.8.63-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.